VIPW(8)

NAME
vipw, vigr - edit the password or group files

SYNOPSIS
vipw [-V] [--version]
vigr [-V] [--version]

DESCRIPTION
Vipw edits the password file after setting the appropriate locks, and does any necessary processing after the password file is unlocked. If the password file is already locked for editing by another user, vipw will ask you to try again later. The default editor for vipw is vi(1).
Vigr edits the group file in the same manner as vipw.

ENVIRONMENT
If the following environment variable exists it will be utilized by vipw:

EDITOR
    The editor specified by the string EDITOR will be invoked instead of the default editor vi(1).

SEE ALSO
passwd(1), vi(1), passwd(5)

HISTORY
The vipw command appeared in 4.0BSD.
The vigr command appeared in Util-Linux 2.6.

AVAILABILITY
The vigr and vipw commands are part of the util-linux-ng package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.